import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import PlatformvLogoLight from './PlatformvLogoLight';
import PlatformvLogoDark from './PlatformvLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const PlatformvLogoSvg = forwardRef(function PlatformvLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(PlatformvLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(PlatformvLogoLight, Object.assign({}, props, { ref: ref })));
});
export default PlatformvLogoSvg;
